> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Bulk Entities and Risk Assessments

> listAddressEntitiesAndRisks - This endpoint retrieves bulk entities and risks by given addresses.



## OpenAPI

````yaml POST /api/v1/tracker/kya/entities-risks
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist and whitelist
paths:
  /api/v1/tracker/kya/entities-risks:
    post:
      tags:
        - KYA (Know Your Address)
      summary: Retrieve Bulk Entities and Risk Assessments
      description: >-
        listAddressEntitiesAndRisks - This endpoint retrieves bulk entities and
        risks by given addresses.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - addresses
                - network
              properties:
                addresses:
                  type: array
                  items:
                    type: string
                  maxItems: 100
                  description: >-
                    The address array that you want to retrieve entities for.
                    And the array limit size is 100
                network:
                  $ref: '#/components/schemas/Network'
                  description: >-
                    The supported chainns short name, ethereum tron btc bsc ...
                    See at [Supported
                    Chains](/api-reference/endpoints/supported-chains/kya-supported-chains)
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KyaEntitiesRisksPostResponse'
              example:
                success: true
                code: 1
                msg: SUCCESS
                data:
                  - time: 1714108038581
                    address: TZ1noC2vbh8HRjt2icUbM1E6pKbSZ83Lfc
                    network: tron
                    whitelist: false
                    contract: false
                    entity:
                      entityName: Bybit User
                      entityCode: bybit-user
                      entityCategory: cex
                      entityCategoryCode: cex
                  - time: 1714108038581
                    address: TFskN28dBDqv8tLKtM2GwroGx7bKDUSnBW
                    network: tron
                    whitelist: false
                    contract: false
                  - time: 1714108038581
                    address: TTPC52HkuFipVhnv7vBTcD6NZQFjvRN2YL
                    network: tron
                    whitelist: false
                    contract: false
                    risks:
                      - riskCode: frozen
                        riskLevel: high
                        riskType: frozen
                        riskSource: Bitrace
                    intelligenceEntities:
                      - entityName: USDT Blacklisted
                        entityCode: usdt-black
                        entityCategory: frozen
                        entityCategoryCode: frozen
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    Network:
      type: string
      enum:
        - ethereum
        - eth
        - tron
        - btc
        - bsc
        - polygon
        - arbitrum
        - optimism
        - avalanche
        - base
        - zksync
        - merlin
        - kaia
        - iotex
        - ftm
        - theta
        - etc
        - lumia
        - solana
        - doge
        - ltc
      description: Supported blockchain networks
    KyaEntitiesRisksPostResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/KyaEntitiesRisks'
              nullable: true
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    KyaEntitiesRisks:
      type: object
      properties:
        time:
          type: integer
          format: int64
        address:
          type: string
        network:
          type: string
        whitelist:
          type: boolean
        contract:
          type: boolean
        entity:
          $ref: '#/components/schemas/Entity'
        intelligenceEntities:
          type: array
          items:
            $ref: '#/components/schemas/Entity'
          nullable: true
        risks:
          type: array
          items:
            $ref: '#/components/schemas/Risk'
          nullable: true
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
    Entity:
      type: object
      properties:
        entityName:
          type: string
          description: The name of the identified entity
        entityCode:
          type: string
          description: The code of the identified entity
        entityCategory:
          type: string
          description: The category of the identified entity
        entityCategoryCode:
          type: string
          description: The category code of the identified entity
    Risk:
      type: object
      properties:
        riskLevel:
          $ref: '#/components/schemas/RiskLevel'
          description: The level of the risk
        riskType:
          $ref: '#/components/schemas/RiskType'
          description: The type of the risk
        riskSource:
          $ref: '#/components/schemas/riskSource'
          description: The source of the risk
    RiskLevel:
      type: string
      enum:
        - high
        - generally-high
        - low
        - whitelist
      description: The level of the risk
    RiskType:
      type: string
      enum:
        - black-gray-goods
        - online-gambling
        - scam
        - hack
        - launder-money
        - sanction
        - frozen
        - politics
        - drug
        - gun
        - terrorist
        - porn
        - controlled-substance
        - bloodiness
        - religion
        - csam
      description: The type of the risk
    riskSource:
      type: string
      enum:
        - Bitrace
        - Community
        - User-Defined
  responses:
    BadRequest:
      description: Bad Request - Your request is invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````